Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 346)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 347)
@@ -463,6 +463,6 @@
 					$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
 # verificare la stampa sulle circoscrizioni					
-					 echo "<div style=\"text-align:right;width:40%;margin-left:10px;margin-right:0px;font-size:12px; \">";
-					 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
+					 echo "<div style=\"text-align:right;width:65%;margin-left:10px;margin-right:0px;font-size:12px; \">";
+					 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 280px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
 					 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
@@ -470,6 +470,7 @@
 					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
 					echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";				
-					echo "	</td></tr> ";				
+					echo "	</td>";				
 	# stampa pdf
+					echo "<td>";
 					echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";					
 					echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
@@ -489,5 +490,4 @@
 	#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
 					echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
-					echo "<tr><td>";
 					echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";					
 					echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
@@ -495,5 +495,5 @@
 					echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
 					type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";					
-					echo "	</td></tr></table></form> ";
+					echo "	</form></td></tr></table> ";
 				}
 				echo "</div></br />";
@@ -574,7 +574,17 @@
 			$maxpos=max($pos);
 			////////////////////////////////////////////////////////////////////
+			if ($tab=="gruppo" or $genere==4 or ($genere==5 and $votog))
+					$sqlvoti2="select $tab3, sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t5, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t5.id_cons=$id_cons and t5.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by $tab3";
+			else
+				if ($votog) $sqlvoti2="select t1.num_circ, (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati),(t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
 			
+				else $sqlvoti2="select t1.num_circ, sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati_lista),sum(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
+			
+			$res_voti = $dbi->prepare("$sqlvoti2");
+			$res_voti->execute();
+				
+			///////////////////////////
 			if ($res_voti->rowCount())
-			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+			while (list($num_circ,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
 #				if($genere==4) $sevalidi=$voti;
 				$z=array_search($num_circ, $pos); 
@@ -587,8 +597,12 @@
 					if($sevonulli) $sevnutot+=$sevonulli;
 				}
-				$votitot[($z)]+=$voti;
-				if(!isset($valsez[$z])) $valsez[$z]=0;
+#				$votitot[($z)]+=$voti;
+#				if(!isset($valsez[$z])) $valsez[$z]=0;
 				$valsez[$z]=$sevalidi;
-				$voticompl+=$voti;
+				$nulsez[$z]=$senulli;
+				$biasez[$z]=$sebianchi;
+				$consez[$z]=$secontestati;
+				$vonsez[$z]=$sevonulli;
+#				$voticompl+=$voti;
 			}
 			if ($voticompl) {
@@ -667,8 +681,8 @@
 							//$posvoti++;
 								$ar[($z)][$posvoti+1]="<b>$valsez[$z]</b>";
-								$ar[($z)][$posvoti+2]="<b>$senulli</b>";
-								$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
-								$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
-								$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+								$ar[($z)][$posvoti+2]="<b>$nulsez[$z]</b>";
+								$ar[($z)][$posvoti+3]="<b>$biasez[$z]</b>";
+								$ar[($z)][$posvoti+4]="<b>$consez[$z]</b>";
+								$ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
 							}
 						} 