Index: trunk/client/temi/Futura2/style.css
===================================================================
--- trunk/client/temi/Futura2/style.css	(revision 347)
+++ trunk/client/temi/Futura2/style.css	(revision 352)
@@ -458,12 +458,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: trunk/client/temi/altro/index.php
===================================================================
--- trunk/client/temi/altro/index.php	(revision 347)
+++ trunk/client/temi/altro/index.php	(revision 352)
@@ -16,5 +16,5 @@
 
 
-echo '<table width="798" border="0" cellspacing="0" cellpadding="0">
+echo '<table style=\"width:798; border-width:0\">
       <tr>
         <td class="logoleft"></td>
@@ -33,5 +33,5 @@
 if ($file=="index") menu();
 
-	echo "<table  class=\"table-main\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table  class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 347)
+++ trunk/client/temi/altro/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         echo "\n";
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width=100%;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width:100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		  <header class="main-header">
 		<ul class="main-nav">	    
@@ -56,5 +56,5 @@
 		      while (list($id,$descrizione,)=$rescomu->fetch(PDO::FETCH_NUM)){
 			    echo "<li><a href=\"modules.php?op=gruppo&amp;name=Elezioni&amp;id_comune=$id&amp;file=index\">
-    <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\"> $descrizione</a></li>";
+    <img src=\"modules/Elezioni/images/logo.gif\" width=\"16\" height=\"16\" class=\"nobordo\" alt=\"logo\"> $descrizione</a></li>";
 			}
 		      echo "</ul></li>";
Index: trunk/client/temi/altro/style.css
===================================================================
--- trunk/client/temi/altro/style.css	(revision 347)
+++ trunk/client/temi/altro/style.css	(revision 352)
@@ -289,12 +289,17 @@
 	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 	
 /* sinistra */
Index: trunk/client/temi/blog/index.php
===================================================================
--- trunk/client/temi/blog/index.php	(revision 347)
+++ trunk/client/temi/blog/index.php	(revision 352)
@@ -30,5 +30,5 @@
 
 		if ($file=="index") menu();
-echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
+echo "<table style=\"border-collapse: collapse;\"><tr>";
 
 	 
Index: trunk/client/temi/blog/menu.php
===================================================================
--- trunk/client/temi/blog/menu.php	(revision 347)
+++ trunk/client/temi/blog/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<ul class="main-nav">	    
 		<li>
Index: trunk/client/temi/blog/style.css
===================================================================
--- trunk/client/temi/blog/style.css	(revision 347)
+++ trunk/client/temi/blog/style.css	(revision 352)
@@ -81,5 +81,5 @@
 
 #page {
-	width: 980px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 60px 0px;
@@ -570,12 +570,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: trunk/client/temi/default/index.php
===================================================================
--- trunk/client/temi/default/index.php	(revision 347)
+++ trunk/client/temi/default/index.php	(revision 352)
@@ -29,5 +29,5 @@
 	if ($file=="index") menu();
 
-	echo "<table class=\"table-main\"  cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: trunk/client/temi/default/menu.php
===================================================================
--- trunk/client/temi/default/menu.php	(revision 347)
+++ trunk/client/temi/default/menu.php	(revision 352)
@@ -25,6 +25,6 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
        
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
-  <header class="main-header">
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
+		<header class="main-header">
 		<ul class="main-nav">	    
 		<li>
Index: trunk/client/temi/default/style.css
===================================================================
--- trunk/client/temi/default/style.css	(revision 347)
+++ trunk/client/temi/default/style.css	(revision 352)
@@ -458,12 +458,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 .td-vuoto {
 	
Index: trunk/client/temi/facebook/index.php
===================================================================
--- trunk/client/temi/facebook/index.php	(revision 347)
+++ trunk/client/temi/facebook/index.php	(revision 352)
@@ -26,5 +26,5 @@
 	if ($file=="index") menu();
 	
-	echo "<table  class=\"table-main\" cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table  class=\"table-main\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: trunk/client/temi/facebook/style.css
===================================================================
--- trunk/client/temi/facebook/style.css	(revision 347)
+++ trunk/client/temi/facebook/style.css	(revision 352)
@@ -333,12 +333,17 @@
 	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 
 .td-big {
Index: trunk/client/temi/realistic/index.php
===================================================================
--- trunk/client/temi/realistic/index.php	(revision 347)
+++ trunk/client/temi/realistic/index.php	(revision 352)
@@ -89,5 +89,5 @@
 	//if ($file=="index") menu();
 
-	echo "<table class=\"table-main\"  cellpadding=\"0\" cellspacing=\"0\"><tr>";
+	echo "<table class=\"table-main;\"><tr>";
 	$check=check_block("dx"); // check exist box
 		
Index: trunk/client/temi/realistic/style.css
===================================================================
--- trunk/client/temi/realistic/style.css	(revision 347)
+++ trunk/client/temi/realistic/style.css	(revision 352)
@@ -459,12 +459,17 @@
 }
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}	
 .td-vuoto {
 	
Index: trunk/client/temi/spectral/style.css
===================================================================
--- trunk/client/temi/spectral/style.css	(revision 347)
+++ trunk/client/temi/spectral/style.css	(revision 352)
@@ -466,12 +466,19 @@
 	
 }
+
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
+	padding: 0px;
 	color:#000;
-	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
 }		
 .td-vuoto {
Index: trunk/client/temi/stylized/menu.php
===================================================================
--- trunk/client/temi/stylized/menu.php	(revision 347)
+++ trunk/client/temi/stylized/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<header class="main-header">
 		<ul class="main-nav">	    
Index: trunk/client/temi/stylized/style.css
===================================================================
--- trunk/client/temi/stylized/style.css	(revision 347)
+++ trunk/client/temi/stylized/style.css	(revision 352)
@@ -388,12 +388,17 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
-}		
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}	
 	
 /* sinistra */
Index: trunk/client/temi/tour/index.php
===================================================================
--- trunk/client/temi/tour/index.php	(revision 347)
+++ trunk/client/temi/tour/index.php	(revision 352)
@@ -73,5 +73,5 @@
         <h1>';
 		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
-echo '</a></h1>
+echo '</h1>
 	<b>consultazioni elettorali on line </b> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
 	<br/>
Index: trunk/client/temi/tour/menu.php
===================================================================
--- trunk/client/temi/tour/menu.php	(revision 347)
+++ trunk/client/temi/tour/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		<ul class="main-nav">	    
 		<li>
Index: trunk/client/temi/tour/style.css
===================================================================
--- trunk/client/temi/tour/style.css	(revision 347)
+++ trunk/client/temi/tour/style.css	(revision 352)
@@ -74,5 +74,5 @@
 
 #page {
-	width: 970px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 30px 0;
@@ -366,11 +366,16 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
-	padding: 0px;
+	padding: 0px;
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
 }		
 	
Index: trunk/client/temi/yellowblu/index.php
===================================================================
--- trunk/client/temi/yellowblu/index.php	(revision 347)
+++ trunk/client/temi/yellowblu/index.php	(revision 352)
@@ -52,5 +52,5 @@
 echo '
 	 <div id="page">'; 
-		echo "<table cellpadding=\"0\" cellspacing=\"0\"><tr>";
+		echo "<table style=\"border-collapse: collapse;\"><tr>";
 
 	 
Index: trunk/client/temi/yellowblu/menu.php
===================================================================
--- trunk/client/temi/yellowblu/menu.php	(revision 347)
+++ trunk/client/temi/yellowblu/menu.php	(revision 352)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;"><tr><td>
+	echo ' <table style="border:0px;text-align:left;width=100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
 	     <header class="main-header">
 		<ul class="main-nav">	    
Index: trunk/client/temi/yellowblu/style.css
===================================================================
--- trunk/client/temi/yellowblu/style.css	(revision 347)
+++ trunk/client/temi/yellowblu/style.css	(revision 352)
@@ -103,5 +103,5 @@
 
 #page {
-	width: 970px;
+	width: 1100px;
 	margin: 0 auto;
 	padding: 30px 0;
@@ -446,12 +446,17 @@
 }	
 .td-130c {
-	float: right;
 	text-align:left;
-	margin: 0px 0 0 1px;
+	margin: 0px 0 0 0px;
 	width: 130px;	
-	border: none;
-	
 	padding: 0px;
-}		
+	border: .5px solid black;
+}	
+.td-130b {
+	border: .5px solid black;	
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 12px;
+	margin-top: 0px;
+	margin: 0;
+}
 	
 /* sinistra */
@@ -607,5 +612,5 @@
   margin: 0px 0px 0px 5px;
   width: 95px;
-  border: 1px solid #6A6A6A;<div class=\"dx\">";
+  border: 1px solid #6A6A6A;
   font-family: helvetica,arial,sans-serif;
   font-size: 10px;