Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 352)
+++ trunk/admin/versione.php	(revision 353)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 352";
+$versione = "3.0 rev 353";
 $version_number = $versione;
-$datarel = "30 luglio 2021";
+$datarel = "24 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 352)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 353)
@@ -325,5 +325,5 @@
 			order by $tab3,$t.num_$tab15";
 			$res_voti = $dbi->prepare("$sqlvoti");
-			$res_voti->execute();
+			$res_voti->execute(); 
 		}
 		if ($res_scr) list($tot_scr)=$res_scr->fetch(PDO::FETCH_NUM);else $tot_scr=0;
@@ -579,10 +579,12 @@
 					$sqlvoti2="select $tab3, sum(t3.validi),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t5, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t5.id_cons=$id_cons and t5.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by $tab3";
 			else
-				if (strstr( $op,'circo')) $sqlvoti2="select t1.num_circ, sum(t3.validi_lista),sum(t3.nulli),sum(t3.bianchi),sum(t3.contestati),sum(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
-
-                else $sqlvoti2="select t3.num_sez, (t3.validi_lista),(t3.nulli),(t3.bianchi),(t3.contestati_lista),(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_sezioni as t3 where t3.id_cons=$id_cons ";
+				if (strstr( $op,'circo')) $sqlvoti2="select t1.num_circ, sum(t3.validi_lista),sum(t3.voti_nulli_lista),sum(t3.contestati_lista),sum(t3.solo_gruppo),sum(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_circoscrizione as t1, ".$prefix."_ele_sezioni as t3, ".$prefix."_ele_sede as t4 where t1.id_cons=$id_cons and t1.id_circ=t4.id_circ and t3.id_sede=t4.id_sede group by t1.num_circ";
+# togli circo vai con modo tab3, genere=2 e =4 prende stringa madre (poi va sistemato il tipo camera 2001 che registra i voti di lista sui gruppi
+# camera 2008 e 2001 --> tipo cons=6 non funziona
+
+                else $sqlvoti2="select t3.num_sez, (t3.validi_lista),(t3.voti_nulli_lista),(t3.contestati_lista),(t3.solo_gruppo),(t3.voti_nulli_lista+t3.voti_nulli) from ".$prefix."_ele_sezioni as t3 where t3.id_cons=$id_cons ";
 			$res_voti = $dbi->prepare("$sqlvoti2");
 			$res_voti->execute();
-				
+#			echo "TEST: ---- $sqlvoti2";	
 			///////////////////////////
 			if ($res_voti->rowCount())
@@ -611,6 +613,7 @@
 				$res_voti->execute();
 			}
-			$piuvot=0;
-			if ($visvot!='cand') if(!defined('_NULLISTA')) $piuvot=5; else $piuvot=4;
+			$piuvot=0;                    
+
+			if ($visvot!='cand') if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA')) $piuvot=5; else $piuvot=4;
 			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
 			if (strstr( $op,'circo'))
@@ -674,9 +677,16 @@
 						if ($visvot!='cand'){ 
 							$posvoti=($offset);
-							$ar[0][$posvoti+1]='<b>Voti Validi</b>';
-							$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
-							$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
-							$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
-							if(!defined('_NULLISTA')) $ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+						if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA')){
+								$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+								$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
+								$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
+								$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
+								$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+						}else{
+								$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+								$ar[0][$posvoti+2]='<b>Voti Nulli</b>';
+								$ar[0][$posvoti+3]='<b>Voti Contestati</b>';
+								$ar[0][$posvoti+4]='<b>Solo Gruppo</b>';						
+						}
 							if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
 							//$posvoti++;
@@ -685,5 +695,5 @@
 								$ar[($z)][$posvoti+3]="<b>$biasez[$z]</b>";
 								$ar[($z)][$posvoti+4]="<b>$consez[$z]</b>";
-								if(!defined('_NULLISTA')) $ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
+								if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))	$ar[($z)][$posvoti+5]="<b>$vonsez[$z]</b>"; 
 							}
 						} 
@@ -695,5 +705,5 @@
 					if(isset($temp)) {
 					if (!isset($tab15) or !$tab15) $tab15="candidati";
-                    if($tab15=="gruppo" or $genere==4 or defined('_NULLISTA')){
+                        if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA')){
 						if($votog) $tab15="lista";
 						$votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
@@ -701,6 +711,7 @@
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
                     }else{
-                        if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
-						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
+ #                       if($dettnulli) 
+							$votigl=" sum(validi_lista),sum(voti_nulli_lista),sum(contestati_lista),sum(solo_gruppo),0";
+#						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista+voti_nulli)";
                     }
                     if($circo) 
@@ -709,5 +720,5 @@
 						$sql="SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)";
 					$resv = $dbi->prepare("$sql");
-					$resv->execute();
+					$resv->execute(); #echo "TEST2: --- $sql";
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= $resv->fetch(PDO::FETCH_NUM);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
@@ -729,6 +740,9 @@
 				if ($visvot!='cand') {
 				$key=$offset+1;
-				if(!defined('_NULLISTA')) $tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
-				else  $tmp=array($sevaltot,$senultot,$sebiatot,$secontot);
+
+# if(!defined('_NULLISTA'))
+                    if($tab15=="gruppo" or $genere==4 or ($genere==5 and $votog) or defined('_NULLISTA'))
+						$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
+					else	$tmp=array($sevaltot,$senultot,$sebiatot,$secontot);
 				if($perc) $temp3=arrayperc($tmp,$voticompl);
 
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 352)
+++ trunk/client/modules/Elezioni/index.php	(revision 353)
@@ -671,8 +671,8 @@
 	if ($genere>2 && ($fascia>$limite or !$limite)){
 	
-	if($genere==4) $sql="select sum(validi),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
-	else $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	if($genere==4 or ($genere==5 and $votog)) $sql="select sum(validi),sum(nulli+bianchi+voti_nulli+contestati) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	else $sql="select sum(validi_lista),sum(nulli+bianchi+voti_nulli+contestati+solo_gruppo+voti_nulli_lista+contestati_lista) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
 		$resperc = $dbi->prepare("$sql");
-		$resperc->execute();
+		$resperc->execute(); 
 		list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
 		if($totschede)
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 352)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 353)
@@ -331,5 +331,5 @@
 		define("_LISTA","Lista");
 		define("_CANDIDATO","Candidato");
-        break;
+       break;
 	case 5: 
 		define("_CONSULTAZIONE","Sessione di Ballottaggio");
@@ -488,5 +488,4 @@
 		define("_DESCRCONS","CAMERA");
 		define("_CONSI","Candidato");
-		define("_NULLISTA",0);
 		break;
     case 19:
@@ -502,5 +501,4 @@
 		define("_DESCRCONS","CAMERA");
 		define("_CONSI","Candidato");
-		define("_NULLISTA",0);
 		break;
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 352)
+++ trunk/client/versione.php	(revision 353)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 352";
+$versione = "3.0 rev 353";
 $version_number = $versione;
-$datarel = "30 luglio 2021";
+$datarel = "24 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/sql/Aggiornamento-3.0_2021-09-24.sql
===================================================================
--- trunk/sql/Aggiornamento-3.0_2021-09-24.sql	(revision 353)
+++ trunk/sql/Aggiornamento-3.0_2021-09-24.sql	(revision 353)
@@ -0,0 +1,90 @@
+-- Solo per sistemi aggiornati dalla versione 2 alla 3
+-- Senza questo aggiornamento non si riesce ad autorizzare i comuni 
+DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+
+CREATE TABLE `soraldo_ele_fasce` (
+  `id_fascia` int(2) NOT NULL,
+  `abitanti` int(11) NOT NULL,
+  `seggi` int(4) NOT NULL,
+  `id_conf` int(11) DEFAULT 1
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_fasce`
+--
+
+INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `seggi`, `id_conf`) VALUES
+(1, 3000, 12, 1),
+(2, 10000, 16, 1),
+(3, 15000, 20, 1),
+(4, 30000, 20, 1),
+(5, 100000, 30, 1),
+(6, 250000, 40, 1),
+(7, 500000, 46, 1),
+(8, 1000000, 50, 1),
+(9, 100000000, 60, 1),
+(1, 3000, 12, 2),
+(2, 10000, 16, 2),
+(3, 15000, 20, 2),
+(4, 30000, 20, 2),
+(5, 100000, 30, 2),
+(6, 250000, 40, 2),
+(7, 500000, 46, 2),
+(8, 1000000, 50, 2),
+(9, 100000000, 60, 2),
+(1, 3000, 9, 3),
+(2, 5000, 9, 3),
+(4, 15000, 16, 3),
+(3, 10000, 12, 3),
+(5, 30000, 16, 3),
+(6, 100000, 24, 3),
+(7, 250000, 32, 3),
+(8, 500000, 36, 3),
+(9, 1000000, 40, 3),
+(10, 100000000, 48, 3),
+(1, 3000, 6, 4),
+(2, 5000, 7, 4),
+(3, 10000, 12, 4),
+(4, 15000, 16, 4),
+(5, 30000, 16, 4),
+(6, 100000, 24, 4),
+(7, 250000, 32, 4),
+(8, 500000, 36, 4),
+(9, 1000000, 40, 4),
+(10, 100000000, 48, 4),
+(1, 3000, 9, 5),
+(2, 5000, 9, 5),
+(3, 10000, 12, 5),
+(4, 15000, 16, 5),
+(5, 30000, 16, 5),
+(6, 100000, 24, 5),
+(7, 250000, 32, 5),
+(8, 500000, 36, 5),
+(9, 1000000, 40, 5),
+(10, 100000000, 48, 5),
+(1, 3000, 6, 6),
+(2, 5000, 7, 6),
+(3, 10000, 10, 6),
+(4, 15000, 16, 6),
+(5, 30000, 16, 6),
+(6, 100000, 24, 6),
+(7, 250000, 32, 6),
+(8, 500000, 36, 6),
+(9, 1000000, 40, 6),
+(10, 100000000, 48, 6),
+(1, 3000, 10, 7),
+(2, 10000, 12, 7),
+(3, 15000, 16, 7),
+(4, 30000, 16, 7),
+(5, 100000, 24, 7),
+(6, 250000, 32, 7),
+(7, 500000, 36, 7),
+(8, 1000000, 40, 7),
+(9, 100000000, 48, 7);
+
+--
+-- Indici per le tabelle `soraldo_ele_fasce`
+--
+ALTER TABLE `soraldo_ele_fasce`
+  ADD KEY `id_fascia` (`id_fascia`);
+