Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 353)
+++ /trunk/admin/versione.php	(revision 354)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 353";
+$versione = "3.0 rev 354";
 $version_number = $versione;
-$datarel = "24 settembre 2021";
+$datarel = "26 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/blocchi/cookie_law.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 353)
+++ /trunk/client/modules/Elezioni/blocchi/cookie_law.php	(revision 354)
@@ -88,5 +88,5 @@
 }
 
-echo"<div style=\"align-text:center;\">
+echo"<div style=\"text-align:center;\">
 	<form method=\"post\" name=\"ko\" action=\"\">		
 	<input type=\"hidden\" name=\"c_law\" value=\"ko\">
Index: /trunk/client/modules/Elezioni/blocchi/off_Votanti.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 353)
+++ /trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 354)
@@ -84,5 +84,5 @@
 
 		    
-		echo "<table style=\"width=100%;border-collapse: collapse;background-gcolor:gray\" class=\"modulo\">";
+		echo "<table style=\"width=100%;border-collapse: collapse;background-color:gray\" class=\"modulo\">";
 		if ($genere==0) {echo "<br/>Referendum n. <b>[$num_gruppo]</b><br/>";}
 		echo "
Index: /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 353)
+++ /trunk/client/modules/Elezioni/blocchi/pie_affluenze.php	(revision 354)
@@ -16,5 +16,5 @@
 
 global $circo,$prefix,$dbi,$id_cons,$genere,$id_circ,$id_comune,$id_cons_gen;
-
+$query='';
 if (isset($circo) and $circo) $circos="and t2.id_circ='$id_circ'";
 else $circos=''; 
Index: /trunk/client/modules/Elezioni/blocchi/privacy.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/privacy.php	(revision 353)
+++ /trunk/client/modules/Elezioni/blocchi/privacy.php	(revision 354)
@@ -85,5 +85,5 @@
 }
 
-echo"<div style=\"align-text:center;\">
+echo"<div style=\"text-align:center;\">
 	<form method=\"post\" name=\"ko\" action=\"\">		
 	<input type=\"hidden\" name=\"c_law\" value=\"ko\">
Index: /trunk/client/modules/Elezioni/crea_paginaphp5.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 353)
+++ /trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 354)
@@ -112,5 +112,5 @@
 
 	
-	$html .= "<table class=\"table-docs\" style=\"border-collapse: collapse;border:=1px solid black;\">";
+	$html .= "<table class=\"table-docs\">";
 	
 
@@ -125,5 +125,5 @@
 				$bg= ($bg==$tmpbg) ? $tmpbg1:$tmpbg3;				  
 				$html .= "<tr class=\"$bg\">";
-				$i="class=\"td-130c\"";
+				$i="class=\"td-150c\"";
 			}
 			foreach ($riga as $cella) {
@@ -140,5 +140,5 @@
 			}					
 				$html .= "$t $i>$cella $f";
-					$i='';
+					$i="class=\"td-150b\"";
 				
 			}
Index: /trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 353)
+++ /trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 354)
@@ -115,5 +115,5 @@
 
 	
-	$html .= "<table class=\"table-docs\" style=\"border-collapse: collapse;border:=1px solid black;\">";
+	$html .= "<table class=\"table-docs\">";
 	
 
@@ -128,5 +128,5 @@
 				$bg= ($bg==$tmpbg) ? $tmpbg1:$tmpbg3;				  
 				$html .= "<tr class=\"$bg\">";
-				$i="class=\"td-130c\"";
+				$i="class=\"td-150c\"";
 			}
 			foreach ($riga as $cella) {
@@ -143,5 +143,5 @@
 			}					
 				$html .= "$t $i>$cella $f";
-					$i="class=\"td-130b\"";
+					$i="class=\"td-150b\"";
 				
 			}
@@ -166,5 +166,6 @@
 
 #			padding: 1px;
-#			border: solid  #666666;
+#			border: solid  #666666;			border-color: black;	
+
 			/* margin: 4px 4px 40px;*/
 
@@ -174,7 +175,7 @@
 		.table-docs {
 			font-size: 10px;
-			color: #000000;
 			text-align:center;
-			border: 1px solid black;
+			border: 1px;
+			border-color: black;
 		}
 		.bggray 	{
@@ -208,8 +209,7 @@
 			margin: 0px 0 0 1px;
 			width: 130px;	
-			border: none;
+			border: 1px;
 			background-color: #d2d2d2;
 			padding: 0px;
-	
 		}
 		.td-130c {
@@ -218,9 +218,10 @@
 			margin: 0px 0px 0px 1px;
 			width: 130px;	
-			border: 1px solid black;
+			border: 1px;
+
 		}		
 
 		td {
-		    border: 2px solid black;
+		    border: 2px;
 		}
 		.red 	{
Index: /trunk/client/temi/altro/index.php
===================================================================
--- /trunk/client/temi/altro/index.php	(revision 353)
+++ /trunk/client/temi/altro/index.php	(revision 354)
@@ -16,5 +16,5 @@
 
 
-echo '<table style=\"width:798; border-width:0\">
+echo '<table style=\"width:798px; border-width:0\">
       <tr>
         <td class="logoleft"></td>
Index: /trunk/client/temi/altro/menu.php
===================================================================
--- /trunk/client/temi/altro/menu.php	(revision 353)
+++ /trunk/client/temi/altro/menu.php	(revision 354)
@@ -25,5 +25,5 @@
 	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         echo "\n";
-	echo ' <table style="border:0px;text-align:left;width:100%;border-collapse: collapse;"><tr><td style="padding: 0px;">
+	echo ' <table style="border:0px;text-align:left;border-collapse: collapse;"><tr><td style="padding: 0px;">
 		  <header class="main-header">
 		<ul class="main-nav">	    
Index: /trunk/client/temi/altro/style.css
===================================================================
--- /trunk/client/temi/altro/style.css	(revision 353)
+++ /trunk/client/temi/altro/style.css	(revision 354)
@@ -289,17 +289,11 @@
 	
 .td-130c {
+	float: right;
 	text-align:left;
-	margin: 0px 0 0 0px;
+	margin: 0px 0 0 1px;
 	width: 130px;	
-	padding: 0px;
-	border: .5px solid black;
-}	
-.td-130b {
-	border: .5px solid black;	
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
-	margin-top: 0px;
-	margin: 0;
-}
+	border: none;
+	padding: 0px;
+}		
 	
 /* sinistra */
@@ -381,4 +375,88 @@
 }
 /******************** font e backcolor******************************/
+
+table.table-docs {
+	margin: auto;
+	width: auto;
+	border-collapse: collapse;
+	border: 1px solid #fff; /*for older IE*/
+	border-style: hidden;
+}
+
+table.table-docs caption {
+	background-color: #f79646;
+	color: #fff;
+	font-size: x-large;
+	font-weight: bold;
+	letter-spacing: .3em;
+}
+
+table.table-docs thead th {
+	padding: 8px;
+	background-color: #fde9d9;
+	font-size: large;
+}
+
+table.table-docs thead th#thDay {
+	width: 40%;	
+}
+
+table.table-docs th, table.table-docs td {
+	padding: 5px;
+	border-width: 1px;
+	border-style: solid;
+	border-color: #000 #777;
+}
+
+
+table.table-docs tbody th {
+	text-align: left;
+	font-weight: normal;
+}
+
+table.table-docs tfoot {
+	font-weight: bold;
+	font-size: large;
+	background-color: #687886;
+	color: #fff;
+}
+
+table.table-docs tr.bgw	{
+	background: #ffffff; 
+	font-size: 12px; 
+	font-family: Verdana, Helvetica;
+	text-align: center;
+	border: 1px;
+	border-color: black;
+}
+/* diventa celeste */
+
+table.table-docs tr.bggray 	{
+	background-color:#5D81A6;
+	font-size: 12px; 
+	font-family: Verdana, Helvetica;
+	text-align: center;
+	color: #ffffff;
+	border: 1px;
+	border-color: black;
+}
+
+table.table-docs tr.bggray2 	{
+	background: #A8C4E1; 
+	font-size: 12px; 
+	font-family: Verdana, Helvetica;
+	text-align: center;
+	}
+
+table.table-docs td.td-150b {
+	text-align:center;
+}
+
+table.table-docs td.td-150c {
+	text-align:left;
+	width: 150px;
+
+}		
+
 .blu 	{
 	background: none;
@@ -409,4 +487,6 @@
 	font-family: Verdana, Helvetica;
 	text-align: center;
+	border: 1px;
+	border-color: black;
 }
 /* diventa celeste */
@@ -418,4 +498,6 @@
 	text-align: center;
 	color: #ffffff;
+	border: 1px;
+	border-color: black;
 }
 
@@ -425,4 +507,6 @@
 	font-family: Verdana, Helvetica;
 	text-align: center;
+	border: 1px;
+	border-color: black;
 	}
 
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 353)
+++ /trunk/client/versione.php	(revision 354)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 353";
+$versione = "3.0 rev 354";
 $version_number = $versione;
-$datarel = "24 settembre 2021";
+$datarel = "26 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/install/sql/eleonline.sql
===================================================================
--- /trunk/install/sql/eleonline.sql	(revision 353)
+++ /trunk/install/sql/eleonline.sql	(revision 354)
@@ -416,5 +416,5 @@
   `stemma` blob,
   `id_circ` int(11) NOT NULL DEFAULT '0',
-  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '0',
+  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '1',
   `prognome` text,
   `programma` mediumblob
@@ -449,5 +449,5 @@
   `num_gruppo` int(2) UNSIGNED NOT NULL DEFAULT '0',
   `id_circ` int(11) NOT NULL DEFAULT '0',
-  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '0',
+  `num_circ` int(2) UNSIGNED NOT NULL DEFAULT '1',
   `descrizione` text,
   `simbolo` text,
@@ -649,5 +649,5 @@
 (6, 'CAMERA', 'it', 2, '0', '0', '0', '0'),
 (7, 'SENATO', 'it', 2, '0', '0', '0', '0'),
-(8, 'EUROPEE', 'it', 4, '1', '0', '0', '0'),
+(8, 'EUROPEE', 'it', 4, '0', '0', '0', '0'),
 (9, 'REGIONALI', 'it', 5, '0', '0', '0', '0'),
 (10, 'SENATO CON GRUPPI', 'it', 5, '1', '0', '1', '0'),
Index: /trunk/sql/Aggiornamento-3.0_2021-09-25.sql
===================================================================
--- /trunk/sql/Aggiornamento-3.0_2021-09-25.sql	(revision 354)
+++ /trunk/sql/Aggiornamento-3.0_2021-09-25.sql	(revision 354)
@@ -0,0 +1,3 @@
+ALTER TABLE `soraldo_ele_gruppo` CHANGE `num_circ` `num_circ` INT(2) UNSIGNED NOT NULL DEFAULT '1'; 
+ALTER TABLE `soraldo_ele_lista` CHANGE `num_gruppo` `num_gruppo` INT(2) UNSIGNED NOT NULL DEFAULT '0';
+ALTER TABLE `soraldo_ele_lista` CHANGE `num_circ` `num_circ` INT(2) UNSIGNED NOT NULL DEFAULT '1';