Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 355)
+++ /trunk/admin/versione.php	(revision 356)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 355";
+$versione = "3.0 rev 356";
 $version_number = $versione;
-$datarel = "27 settembre 2021";
+$datarel = "28 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: unk/client/modules/Elezioni/blocchi/app_android.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/app_android.php	(revision 355)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<?php
-/************************************************************************/
-/* QRcode per app android   	  	                                        */
-/*  2016                                                                     */
-/************************************************************************/
-echo "<h5>App Android</h5>";
-
-echo "
-<div  style=\"text-align:center;\">
-<a href=\"https://play.google.com/store/apps/details?id=it.eleonline\" target=\"_blank\">
-<img src=\"modules/Elezioni/images/qrcode.png\" alt=\"App per Android di Eleonline\"/>
-</div>";
-
-?>
-
-
Index: unk/client/modules/Elezioni/blocchi/bar_affluenze.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/bar_affluenze.php	(revision 355)
+++ 	(revision )
@@ -1,91 +1,0 @@
-<?php 
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Roberto Gigli & Luciano Apolito                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-/* widget pie google affluenze 
-  by luc 25 giugno 2009 */
-
-global $circo,$prefix,$dbi,$id_cons,$genere,$id_circ,$id_comune,$id_cons_gen;
-
-if (isset($circo) and $circo) $circos="and t2.id_circ='$id_circ'";
-else $circos=''; 
-// numero sezioni scrutinate
-
-		$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
-	$res2 = $dbi->prepare("$sql");
-	$res2->execute();
-
-		$sezioni=$res2->fetch(PDO::FETCH_NUM);
-
-    $sql="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order  by data desc,orario desc limit 1";
- 	$res = $dbi->prepare("$sql");
-	$res->execute();
- if($res->rowCount()){
-
-        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
-        	list ($ore,$minuti,$secondi)=explode(':',$orario);
-        	list ($anno,$mese,$giorno)=explode('-',$data);
-        	$tot_v_m=0;$tot_v_d=0;$tot_t=0;
-	
-
-  		$sql="select t3.id_sez  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos  group by t3.id_sez ";
-		$res1 = $dbi->prepare("$sql");
-		$res1->execute();
-
-		$numero=$res1->rowCount();
-	
-		echo "<h5>Ultime Affluenze</h5>";
-               echo "<div style=\"text-align:center;color:#ff0000\">"._PERC_TEND."<br><b>"._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</b></div>";
-                                                                                                                             
-
-                
- 
-#		$res1 = mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
-#modifica del 26giugno 09 per gestione circoscrizionali
-if($genere==0)		
-	$sql="select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo ";
-else
-	$sql="select sum(t3.voti_complessivi),0,0  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";
-$res1 = $dbi->prepare("$sql");
-$res1->execute();
-
-#fine modifica
-
-
-
-
-                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
-
-			$sql="select sum(t3.voti_complessivi)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-                	if ($genere==0){$sql.=" and t3.id_gruppo=$id_gruppo";} 
-			$res_aff = $dbi->prepare("$sql");
-			$res_aff->execute();
-			$voti_numero=$res_aff->rowCount();
-              	
-			$sql="select sum(t1.maschi+t1.femmine)  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' $circos";		
-			
-			if ($genere==0){$sql.=" and id_gruppo=$id_gruppo";}
-			$res1234 = $dbi->prepare("$sql");
-			$res1234->execute();
-                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
-                	if ($tot)
-			    $perc=number_format($voti_t*100/$tot,2);
-			else {$tot=0;$perc="0.00";}
-	  
-			$resto=100-$perc;
-			if ($genere==0){echo "<div style=\"text-align:center\">referendum n. $num_gruppo</div";}
-
-			
-
-
-			echo "<img style=\"display:block;margin:0px auto;text-align:center;\" src=\"http://chart.apis.google.com/chart?chs=160x160&ampcht=bvs&ampchd=t:0,$perc,0&ampchxt=y&ampchco=&ampchl=|$perc% |\" alt=\"Sample chart\" /><br/><a href=\"modules.php?id_cons_gen=$id_cons_gen&name=Elezioni&id_comune=$id_comune&file=index&op=affluenze_graf\">Tutte le affluenze</a>";
-
-
-	}	
-
-        }
-}
-?>
Index: unk/client/modules/Elezioni/blocchi/myrss.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/myrss.php	(revision 355)
+++ 	(revision )
@@ -1,77 +1,0 @@
-<?php
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Roberto Gigli & Luciano Apolito                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-/* widget legge rss */
-
-
-
-# configurazione
-$url="http://www.guidonia.org/nuovo/comune/rss.php?siteid=24"; // link feed
-$sito="http://www.guidonia.org/portale/comune/index.php?siteid=24"; // link sito
-$titolo="News Ufficio Elettorale"; // titolo del blocco
-$footer_rss="Vai al sito Elettorale "; // descrizione fine blocco per il link
-# fine configurazione
-
-
-echo "<h5>$titolo</h5>"; // titolo
-$agent= $_SERVER['HTTP_USER_AGENT'];
-
-
-	
-	$rdf = parse_url($url);
-	$fp = fsockopen($rdf['host'], 80, $errno, $errstr, 15);
-	//$fp = fsockopen($rdf['www.guidonia.org'], 80, $errno, $errstr, 15);
-	if ($fp) {
-	
-	    if (!empty($rdf['query']))$rdf['query'] = "?" . $rdf['query'];
-
-	    fputs($fp, "GET " . $rdf['path'] . $rdf['query'] . " HTTP/1.0\r\n");
-	    fputs($fp, "HOST: " . $rdf['host'] . "\r\n\r\n");
-	    fputs($fp,"Content-type: application/x-www-form- urlencoded\r\n"); 
-	    fputs($fp, "User-Agent: $agent \r\n");
-fputs($fp, "Accept-Language: de-de,de;q=0.8,en-us;q=0.5,en;q=0.3\r\n");
-fputs($fp, "Accept-Encoding: gzip,deflate\r\n");
-fputs($fp, "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n");
-fputs($fp, "Keep-Alive: 300\r\n");
-$cont=0;
-	    $string	= "";
-	    while(!feof($fp)) {
-	    	$pagetext = fgets($fp,300);
-	    	$string .= chop($pagetext);
-	    }
-	    fputs($fp,"Connection: close\r\n\r\n");
-	    fclose($fp); 
-	    $items = explode("</item>",$string);
-	    $content = "<font class=\"content\">";
-	    for ($i=0;$i<5;$i++) {
-		$link = preg_replace("#.*<link>#","",$items[$i]);
-		$link = preg_replace("#</link>.*#","",$link);
-		$title2 = preg_replace("#.*<title>#","",$items[$i]);
-		$title2 = preg_replace("#</title>.*#","",$title2);
-		$title2 = stripslashes($title2);
-		if (empty($items[$i]) AND $cont != 1) {
-		    $content = "";
-		    
-		    return;
-		} else {
-		
-		    if (strcmp($link,$title2) AND !empty($items[$i])) {
-			$cont = 1;
-			$content .= "<p><strong><a href=\"$link\" target=\"new\">$title2</a></strong></p>\n";
-		    }
-		}
-	   
-
-	}
-	
-   }
-   
-
-
-echo '<div>'.$content.'
-<p style="text-align:center"><br/>[ <a href="'.$sito.'" target="_blank">'.$footer_rss.' </a> ]</p></div>';
-?>
Index: unk/client/modules/Elezioni/blocchi/off_Votanti.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/off_Votanti.php	(revision 355)
+++ 	(revision )
@@ -1,112 +1,0 @@
-<?php 
-/************************************************************************/
-/* Eleonline - Raccolta e diffusione dei dati elettorali                */
-/* by Roberto Gigli & Luciano Apolito                                   */
-/* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
-/************************************************************************/
-
-if (!defined('MODULE_FILE')) {
-    die ("You can't access this file dirrectly...");
-}
-
-global $op, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$tipo_cons,$id_comune,$id_cons_gen,$id_circ,$csv,$w,$l,$siteistat,$flash,$tour;
-
-if ($genere==0) $tab="ref";elseif($genere=='4' || $votog) $tab="lista";
-		 else $tab="gruppo";
-
-if (isset($circo) and $circo) $circos="and t2.id_circ='$id_circ'";
-else $circos=''; 
-
-#$res = mysql_query("select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  group by id_sez ",$dbi);
-#	$numero=mysql_num_rows($res);
-#	$res = mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
-  	$sql="select t3.id_sez  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-	$numero=$res->rowCount();
-	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-	$sezioni=$res->rowCount();
-	
-	if ($numero!=0){
-
-	
-	echo "<h5><b>"._DETTAGLIO." "._VOTIE."</b> - </h5>";
-	echo "<div style=\"text-align:center;\"><i> "._SEZSCRU." $numero "._SU." $sezioni </i></div>";
-	
-
-
-
-	$sql="SELECT sum(t1.maschi+t1.femmine) FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
-	$res1 = $dbi->prepare("$sql");
-	$res1->execute();
-
-	list($tot_aventi)  = $res1->fetch(PDO::FETCH_NUM);
-	if ($genere!=0) {
-
-		$sql="SELECT sum(t1.validi+t1.nulli+t1.bianchi+t1.contestati) as tot,
-		sum(t1.validi),sum(t1.nulli),sum(t1.bianchi),sum(t1.contestati), '0'
-		from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons=$id_cons $circos having tot>0";
-	$res1 = $dbi->prepare("$sql");
-	$res1->execute();
-
-	}else{
-		$sql="SELECT sum(validi+nulli+bianchi+contestati) as tot,
-		sum(validi),sum(nulli),sum(bianchi),sum(contestati), id_gruppo
-		from ".$prefix."_ele_voti_ref  where id_cons=$id_cons group by id_gruppo having tot>0";
-	$res1 = $dbi->prepare("$sql");
-	$res1->execute();
-
-	}
-
-	while  (list($tot_votanti,$validi,$nulli,$bianchi,$contestati,$id)  = $res1->fetch(PDO::FETCH_NUM)){
-		$tot_votanti=$validi+$bianchi+$nulli+$contestati;
-		$perc_validi=number_format($validi*100/$tot_votanti,2);
-		$perc_nulli=number_format($nulli*100/$tot_votanti,2);
-		$perc_bianchi=number_format($bianchi*100/$tot_votanti,2);
-		$perc_conte=number_format($contestati*100/$tot_votanti,2);
-		$perc_votanti=number_format($tot_votanti*100/$tot_aventi,2);
-		$non_votanti=($tot_aventi - $tot_votanti);
-		$perc_non=100-$perc_votanti;
-
-		if ($genere==0) {
-			$sql="SELECT num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-			list($num_gruppo,$descr_gruppo)  = $res->fetch(PDO::FETCH_NUM);
-		}
-		  
-
-		    
-		echo "<table style=\"width=100%;border-collapse: collapse;background-color:gray\" class=\"modulo\">";
-		if ($genere==0) {echo "<br/>Referendum n. <b>[$num_gruppo]</b><br/>";}
-		echo "
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\"><b>"._AVENTI."</b></td><td>$tot_aventi</td><td><span class=\"red\">100%</span></td></tr>
-
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\"><b>"._VOTANTI."</b></td><td>$tot_votanti</td><td><span class=\"red\">$perc_votanti%</span></td></tr>
-		
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._VALIDI."</td><td>$validi</td><td><span class=\"red\">$perc_validi%</span></td></tr>
-		
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._NULLI."</td><td>$nulli</td><td><span class=\"red\">$perc_nulli%</span></td></tr>
-		
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._BIANCHI."</td><td>$bianchi</td><td><span class=\"red\">$perc_bianchi%</span></td></tr>
-		
-		<tr bgcolor=\"#ffffff\"><td style=\"padding: 1px;\">"._CONTESTATI."</td><td>$contestati</td><td><span class=\"red\">$perc_conte%</span></td></tr>
-
-		</table>";
-
-    }
-}
-
-
-
-
-
-
-
-?>
Index: unk/client/modules/Elezioni/blocchi/translation.php
===================================================================
--- /trunk/client/modules/Elezioni/blocchi/translation.php	(revision 355)
+++ 	(revision )
@@ -1,74 +1,0 @@
-<?php
-/************************************************************************/
-/* Google Translation         	                                        */
-/*  ultimo agg 7 feb 2016                                                                    */
-/************************************************************************/
-# configurazione
-global $siteurl;
-//$url=str_replace("http://","",$siteurl);
-$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
-//$url = "elezioni.guidonia.org";	 //// url del sito se inserito a mano
-$lingua = "it";			//// lingua di provenienza
-$titolo = "Translation";
-
-
-echo  "<h5>$titolo</h5>";
-echo "<div style=\"text-align:center;\">";
-echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=en&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/United-States.png\" title=\"English\" alt=\"English\" width=\"30\"/></a> ";
-echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=es&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Spain.png\" title=\"Spanish\" alt=\"Spanish\" width=\"30\"/></a> ";
-echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ro&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Romania.png\" title=\"Romanian\" alt=\"Romanian\" width=\"30\"/></a> ";
-echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=de&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/Germany.png\" title=\"Germany\" alt=\"Germany\" width=\"30\"/></a> ";
-echo  "<a href=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fr&amp;u=http%3A%2F%2F$url\"><img style=\"border:0px\" src=\"modules/Elezioni/images/language/France.png\" title=\"France\" alt=\"France\" width=\"30\"/></a> ";
-
-
-
-echo  "<select onchange=\"window.location.href=this.options[this.selectedIndex].value\"><option value=\"\">--Select--</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sq&amp;u=http%3A%2F%2F$url\">Albanian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ar&amp;u=http%3A%2F%2F$url\">Arabic</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=bg&amp;u=http%3A%2F%2F$url\">Bulgarian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ca&amp;u=http%3A%2F%2F$url\">Catalan</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=zh-CN&amp;u=http%3A%2F%2F$url\">Chinese(Simp)</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=zh-TW&amp;u=http%3A%2F%2F$url\">Chinese(Trad)</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hr&amp;u=http%3A%2F%2F$url\">Croatian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=cs&amp;u=http%3A%2F%2F$url\">Czech</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=da&amp;u=http%3A%2F%2F$url\">Danish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=nl&amp;u=http%3A%2F%2F$url\">Dutch</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=en&amp;u=http%3A%2F%2F$url\">English</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=et&amp;u=http%3A%2F%2F$url\">Estonian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=tl&amp;u=http%3A%2F%2F$url\">Filipino</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fi&amp;u=http%3A%2F%2F$url\">Finnish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fr&amp;u=http%3A%2F%2F$url\">French</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=gl&amp;u=http%3A%2F%2F$url\">Galician</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=de&amp;u=http%3A%2F%2F$url\">German</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=el&amp;u=http%3A%2F%2F$url\">Greek</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=iw&amp;u=http%3A%2F%2F$url\">Hebrew</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hi&amp;u=http%3A%2F%2F$url\">Hindi</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=hu&amp;u=http%3A%2F%2F$url\">Hungarian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=id&amp;u=http%3A%2F%2F$url\">Indonesian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=it&amp;u=http%3A%2F%2F$url\">Italian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ja&amp;u=http%3A%2F%2F$url\">Japanese</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ko&amp;u=http%3A%2F%2F$url\">Korean</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=lv&amp;u=http%3A%2F%2F$url\">Latvian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=lt&amp;u=http%3A%2F%2F$url\">Lithuanian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=mt&amp;u=http%3A%2F%2F$url\">Maltese</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=no&amp;u=http%3A%2F%2F$url\">Norwegian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=fa&amp;u=http%3A%2F%2F$url\">Persian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=pl&amp;u=http%3A%2F%2F$url\">Polish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=pt&amp;u=http%3A%2F%2F$url\">Portuguese</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ro&amp;u=http%3A%2F%2F$url\">Romanian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=ru&amp;u=http%3A%2F%2F$url\">Russian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sr&amp;u=http%3A%2F%2F$url\">Serbian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sk&amp;u=http%3A%2F%2F$url\">Slovak</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sl&amp;u=http%3A%2F%2F$url\">Slovenian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=es&amp;u=http%3A%2F%2F$url\">Spanish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=sv&amp;u=http%3A%2F%2F$url\">Swedish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=th&amp;u=http%3A%2F%2F$url\">Thai</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=tr&amp;u=http%3A%2F%2F$url\">Turkish</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=uk&amp;u=http%3A%2F%2F$url\">Ukrainian</option>";
-echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=vi&amp;u=http%3A%2F%2F$url\">Vietnamese</option>";
-echo  "</select>";
-//echo "<hr/><a href=\"http://translate.google.com/translate?hl=&amp;sl=it&amp;tl=it&amp;u=http%3A%2F%2F$url\">Torna alla lingua originale</a>";
-echo "</div>";
-
-
-?>
Index: /trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- /trunk/client/modules/Elezioni/gruppo.php	(revision 355)
+++ /trunk/client/modules/Elezioni/gruppo.php	(revision 356)
@@ -172,4 +172,5 @@
 		}
 		$condcirc='';
+		$condcircns="";
 		if ($circo){ //gestione circoscrizionali
 			if(!$id_circ){
@@ -186,4 +187,5 @@
 			list($num_circ)=$res_cir->fetch(PDO::FETCH_NUM);
 			$condcirc="and id_circ=$id_circ";  //variabile aggiunta nelle select per le circ.
+			$condcircns="and t2.id_circ=$id_circ";			
 			$sql="SELECT count(t1.num_sez),min(t1.num_sez),max(t1.num_sez) from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede and t2.id_circ=$id_circ";
 			$res_sez = $dbi->prepare("$sql");
@@ -197,10 +199,10 @@
 		}
 		elseif (strstr( $op,'circo')){
-			$sql="SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons";
+			$sql="SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons  $condcirc";
 			$res_sez = $dbi->prepare("$sql");
 			$res_sez->execute();
 		}
 		else{
-			$sql="SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+			$sql="SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons $condcirc";
 			$res_sez = $dbi->prepare("$sql");
 			$res_sez->execute();
@@ -208,5 +210,5 @@
 		if($res_sez->rowCount()) list($tot_sez,$numsezmin,$numsezmax)=$res_sez->fetch(PDO::FETCH_NUM); 
 		else {$tot_sez=0;$numsezmin=0;$numsezmax=0;}
-		$sql="SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons";
+		$sql="SELECT count(t1.num_sez) from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons=$id_cons $condcircns";
 		$res_sez = $dbi->prepare("$sql");
 		$res_sez->execute();
@@ -276,7 +278,10 @@
 			// dei voti di lista...oltre naturalmnte alle condizioni messe in variabile
 			// 4 aprile 2006 by luc
+#echo "TEST; Condizione scelta lista/gruppo: if ($votog && $tab==gruppo)<br>circo: $circo -- condcirc: $condcirc<br>";
+			$tabns=$tab;
 			if ($votog && $tab=="gruppo"){ // camera e senato 2006
 				$t="t9";
 				$tab="lista";
+				$tabns=$tab;
 				$tab15="gruppo";
 				$add_1= ",".$prefix."_ele_gruppo as t9";
@@ -288,7 +293,8 @@
 				$and_1='';
 			}
+			if(($genere==5 and $circo)) $condcircns="and ".$prefix."_ele_$tabns.id_circ=$id_circ";	else $condcircns="";
 			// fine della modifica
-			 
-			$sql="SELECT count(id_sez) from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons' group by id_$tab15"; 
+			$sql="SELECT count(".$prefix."_ele_voti_$tabns.id_sez) from ".$prefix."_ele_voti_$tabns left join ".$prefix."_ele_$tabns on ".$prefix."_ele_voti_$tabns.id_$tabns=".$prefix."_ele_$tabns.id_$tabns where ".$prefix."_ele_voti_$tabns.id_cons='$id_cons' $condcircns group by ".$prefix."_ele_voti_$tabns.id_$tabns"; 
+//echo "TEST:	numero sezioni scrutinate: $sql";		 
 			$res_scr = $dbi->prepare("$sql");
 			$res_scr->execute();
@@ -503,5 +509,5 @@
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
-				if ($tipo_cons!=4) echo ": $tot_scr su $tuttelesez &nbsp;&nbsp;&nbsp;  ";
+				if ($tipo_cons!=4) ;echo ": $tot_scr su $tuttelesez &nbsp;&nbsp;&nbsp;  ";
 				echo "</h5>&nbsp;";
 			}
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 355)
+++ /trunk/client/versione.php	(revision 356)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 355";
+$versione = "3.0 rev 356";
 $version_number = $versione;
-$datarel = "27 settembre 2021";
+$datarel = "28 settembre 2021";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 